
Enduro/X Core - Bug #202

Bug # 125 (Closed): Do not reload server when it is shutdown (normally)

reloadonchange starts max count of services

09/04/2017 08:01 AM - Anonymous

Status: Closed Start date: 09/04/2017

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Please check why reloadonchange = Y configuration parameter starts MAX server count on binary timestamp change.

Example:

1)

<server name="naiveBayes">

                        <srvid>2000</srvid>

                        <min>1</min>

                        <max>100</max>

                        <sysopt>-e ${NDRX_APPHOME}/log/NAIVE_BAYES -r</sysopt>

                </server>

 

2) reload

3)

$ xadmin restart -y

Enduro/X 5.0.6, build Aug 31 2017 17:17:21, using epoll for LINUX (64 bits)

Enduro/X Middleware Platform for Distributed Transaction Processing

Copyright (C) 2009-2016 ATR Baltic Ltd.

Copyright (C) 2017 Mavimax Ltd. All Rights Reserved.

This software is released under one of the following licenses:

GPLv2 (or later) or Mavimax license for commercial use.

Server executable = cpmsrv      Id = 9999 :     Shutdown succeeded.

Server executable = naiveBayes  Id = 2000 :     Shutdown succeeded.

Server executable = redis       Id = 100 :      Shutdown succeeded.

Server executable = skynet      Id = 5 :        Shutdown succeeded.

Server executable = cconfsrv    Id = 2 :        Shutdown succeeded.

Server executable = cconfsrv    Id = 1 :        Shutdown succeeded.

Shutdown finished. 6 processes stopped.

exec cconfsrv -k 0myWI5nu -i 1 -e /home/lradzev/D8/EnduroX/log/cconfsrv.log -r --  :

        process id=21833 ... Started.

exec cconfsrv -k 0myWI5nu -i 2 -e /home/lradzev/D8/EnduroX/log/cconfsrv.log -r --  :

        process id=21834 ... Started.

exec skynet -k 0myWI5nu -i 5 -e /home/lradzev/D8/EnduroX/log/SKYNET -r --  :

        process id=21835 ... Started.

exec redis -k 0myWI5nu -i 100 -e /home/lradzev/D8/EnduroX/log/REDIS -r --  :

        process id=21840 ... Started.

exec naiveBayes -k 0myWI5nu -i 2000 -e /home/lradzev/D8/EnduroX/log/NAIVE_BAYES -r --  :

        process id=21846 ... Started.

exec cpmsrv -k 0myWI5nu -i 9999 -e /home/lradzev/D8/EnduroX/log/cpmsrv.log -r -- -k3 -i1 --  :

        process id=21851 ... Started.

Startup finished. 6 processes started.
4)

$ xadmin psc

Enduro/X 5.0.6, build Aug 31 2017 17:17:21, using epoll for LINUX (64 bits)

Enduro/X Middleware Platform for Distributed Transaction Processing

Copyright (C) 2009-2016 ATR Baltic Ltd.

Copyright (C) 2017 Mavimax Ltd. All Rights Reserved.

This software is released under one of the following licenses:

GPLv2 (or later) or Mavimax license for commercial use.

ndrxd PID (from PID file): 19425

Nd Service Name Routine Name Prog Name SRVID #SUCC #FAIL MAX      LAST     STAT

-- ------------ ------------ --------- ----- ----- ----- -------- -------- -----

1  @CCONF       CCONF        cconfsrv  1     3     0     0ms      0ms      AVAIL

1  @CCONF       CCONF        cconfsrv  2     0     0     0ms      0ms      AVAIL

1  SKYNET       SKYNET       skynet    5     0     0     0ms      0ms      AVAIL

1  HINCRBY      HINCRBY      redis     100   0     0     0ms      0ms      AVAIL

1  INCRBY       INCRBY       redis     100   0     0     0ms      0ms      AVAIL

1  HGET         HGET         redis     100   0     0     0ms      0ms      AVAIL

1  GET          GET          redis     100   0     0     0ms      0ms      AVAIL

1  PIPED_HINCR+ PIPED_HINCR+ redis     100   0     0     0ms      0ms      AVAIL

1  REDIS_INFO   REDIS_INFO   redis     100   0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2000  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2000  0     0     0ms      0ms      AVAIL

1  @CPMSVC      CPMSVC       cpmsrv    9999  0     0     0ms      0ms      AVAIL

 

5) update binary

6)

> % xadmin psc

Enduro/X 5.0.6, build Aug 31 2017 17:17:21, using epoll for LINUX (64 bits)

Enduro/X Middleware Platform for Distributed Transaction Processing

Copyright (C) 2009-2016 ATR Baltic Ltd.

Copyright (C) 2017 Mavimax Ltd. All Rights Reserved.

This software is released under one of the following licenses:

GPLv2 (or later) or Mavimax license for commercial use.

ndrxd PID (from PID file): 19425

Nd Service Name Routine Name Prog Name SRVID #SUCC #FAIL MAX      LAST     STAT

-- ------------ ------------ --------- ----- ----- ----- -------- -------- -----

1  @CCONF       CCONF        cconfsrv  1     103   0     0ms      0ms      AVAIL

1  @CCONF       CCONF        cconfsrv  2     0     0     0ms      0ms      AVAIL

1  SKYNET       SKYNET       skynet    5     0     0     0ms      0ms      AVAIL

1  HINCRBY      HINCRBY      redis     100   0     0     0ms      0ms      AVAIL

1  INCRBY       INCRBY       redis     100   0     0     0ms      0ms      AVAIL

1  HGET         HGET         redis     100   0     0     0ms      0ms      AVAIL

1  GET          GET          redis     100   0     0     0ms      0ms      AVAIL

1  PIPED_HINCR+ PIPED_HINCR+ redis     100   0     0     0ms      0ms      AVAIL

1  REDIS_INFO   REDIS_INFO   redis     100   0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2000  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2000  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2001  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2001  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2002  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2002  0     0     0ms      0ms      AVAIL
1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2003  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2003  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2004  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2004  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2005  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2005  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2006  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2006  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2007  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2007  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2008  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2008  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2009  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2009  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2010  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2010  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2011  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2011  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2012  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2012  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2013  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2013  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2014  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2014  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2015  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2015  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2016  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2016  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2017  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2017  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2018  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2018  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2019  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2019  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2020  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2020  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2021  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2021  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2022  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2022  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2023  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2023  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2024  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2024  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2025  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2025  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2026  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2026  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2027  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2027  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2028  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2028  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2029  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2029  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2030  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2030  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2031  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2031  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2032  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2032  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2033  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2033  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2034  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2034  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2035  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2035  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2036  0     0     0ms      0ms      AVAIL
1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2036  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2037  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2037  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2038  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2038  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2039  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2039  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2040  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2040  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2041  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2041  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2042  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2042  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2043  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2043  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2044  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2044  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2045  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2045  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2046  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2046  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2047  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2047  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2048  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2048  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2049  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2049  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2050  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2050  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2051  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2051  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2052  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2052  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2053  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2053  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2054  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2054  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2055  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2055  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2056  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2056  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2057  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2057  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2058  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2058  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2059  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2059  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2060  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2060  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2061  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2061  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2062  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2062  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2063  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2063  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2064  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2064  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2065  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2065  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2066  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2066  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2067  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2067  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2068  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2068  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2069  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2069  0     0     0ms      0ms      AVAIL
1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2070  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2070  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2071  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2071  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2072  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2072  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2073  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2073  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2074  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2074  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2075  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2075  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2076  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2076  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2077  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2077  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2078  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2078  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2079  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2079  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2080  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2080  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2081  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2081  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2082  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2082  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2083  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2083  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2084  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2084  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2085  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2085  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2086  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2086  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2087  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2087  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2088  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2088  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2089  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2089  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2090  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2090  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2091  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2091  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2092  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2092  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2093  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2093  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2094  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2094  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2095  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2095  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2096  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2096  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2097  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2097  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2098  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2098  0     0     0ms      0ms      AVAIL

1  LEARN_NAIVE+ LEARN_NAIVE+ naiveBay+ 2099  0     0     0ms      0ms      AVAIL

1  GET_NAIVE_B+ GET_NAIVE_B+ naiveBay+ 2099  0     0     0ms      0ms      AVAIL

1  @CPMSVC      CPMSVC       cpmsrv    9999  0     0     0ms      0ms      AVAIL

History

#1 - 09/11/2017 02:33 PM - Madars

- Project changed from endurox-go to Enduro/X Core
#2 - 10/11/2017 10:03 AM - Madars

Also with reload on change, if parameter is introduced in system which is already running, there might be some issues with starting/reloading

processes.

N:NDRX:2:32032:7fa58d43a7c0:000:20171011:144411014:i/init.c:0800:SHM ok, but sem fail - cannot operate in this mode!

t:USER:3:32032:7fa58d43a7c0:000:20171011:144411014:/tplog.c:0505:ATMI Error 0:[0:TPMINVAL]

N:NDRX:2:32032:7fa58d43a7c0:000:20171011:144411014:ntegra.c:0069:G_tpsvrinit__() failed

N:NDRX:2:32032:7fa58d43a7c0:000:20171011:144411014:rvmain.c:0423:tpsvrinit() fail

N:NDRX:2:32034:7f8c0f06a7c0:000:20171011:144411032:tmi/xa.c:0300:XA flag: [RECON]: on xa_start ret codes: [,*,], recon number of 3 times,

 sleep 100000 microseconds between attempts

t:USER:4:32034:7f8c0f06a7c0:000:20171011:144411032:/tplog.c:0505:Server shutting down...

N:NDRX:2:32034:7f8c0f06a7c0:000:20171011:144411032:mi/shm.c:0155:cannot close shm [/trbdv,shm,srvinfo] as fd is -1

Server exit: -1, id: 1702

t:USER:3:32034:7f8c0f06a7c0:000:20171011:144411032:/tplog.c:0505:Exit with failure

N:NDRX:2:32032:7fa58d43a7c0:000:20171011:144411032:tmi/xa.c:0300:XA flag: [RECON]: on xa_start ret codes: [,*,], recon number of 3 times,

 sleep 100000 microseconds between attempts

t:USER:4:32032:7fa58d43a7c0:000:20171011:144411032:/tplog.c:0505:Server shutting down...

N:NDRX:2:32032:7fa58d43a7c0:000:20171011:144411032:mi/shm.c:0155:cannot close shm [/trbdv,shm,srvinfo] as fd is -1

Server exit: -1, id: 1700

t:USER:3:32032:7fa58d43a7c0:000:20171011:144411032:/tplog.c:0505:Exit with failure

N:NDRX:2:32035:7fe95fbbf7c0:000:20171011:144411035:mi/sem.c:0123:ndrx_sem_attach: Failed to attach sem, key [278528]: No such file or

 directory

N:NDRX:2:32035:7fe95fbbf7c0:000:20171011:144411036:i/init.c:0784:Failed to attache to semaphores!!

N:NDRX:2:32035:7fe95fbbf7c0:000:20171011:144411036:i/init.c:0800:SHM ok, but sem fail - cannot operate in this mode!

t:USER:3:32035:7fe95fbbf7c0:000:20171011:144411036:/tplog.c:0505:ATMI Error 0:[0:TPMINVAL]

N:NDRX:2:32035:7fe95fbbf7c0:000:20171011:144411036:ntegra.c:0069:G_tpsvrinit__() failed

N:NDRX:2:32035:7fe95fbbf7c0:000:20171011:144411036:rvmain.c:0423:tpsvrinit() fail

N:NDRX:2:32036:7f1c2baf67c0:000:20171011:144411037:mi/sem.c:0123:ndrx_sem_attach: Failed to attach sem, key [278528]: No such file or

 directory

N:NDRX:2:32036:7f1c2baf67c0:000:20171011:144411037:i/init.c:0784:Failed to attache to semaphores!!

N:NDRX:2:32036:7f1c2baf67c0:000:20171011:144411037:i/init.c:0800:SHM ok, but sem fail - cannot operate in this mode!

t:USER:3:32036:7f1c2baf67c0:000:20171011:144411037:/tplog.c:0505:ATMI Error 0:[0:TPMINVAL]

N:NDRX:2:32036:7f1c2baf67c0:000:20171011:144411037:ntegra.c:0069:G_tpsvrinit__() failed

N:NDRX:2:32036:7f1c2baf67c0:000:20171011:144411037:rvmain.c:0423:tpsvrinit() fail

N:NDRX:2:32033:7f79665147c0:000:20171011:144411042:mi/sem.c:0123:ndrx_sem_attach: Failed to attach sem, key [278528]: No such file or

 directory

N:NDRX:2:32033:7f79665147c0:000:20171011:144411042:i/init.c:0784:Failed to attache to semaphores!!

N:NDRX:2:32033:7f79665147c0:000:20171011:144411042:i/init.c:0800:SHM ok, but sem fail - cannot operate in this mode!

t:USER:3:32033:7f79665147c0:000:20171011:144411042:/tplog.c:0505:ATMI Error 0:[0:TPMINVAL]

N:NDRX:2:32033:7f79665147c0:000:20171011:144411042:ntegra.c:0069:G_tpsvrinit__() failed

N:NDRX:2:32033:7f79665147c0:000:20171011:144411042:rvmain.c:0423:tpsvrinit() fail
#3 - 10/11/2017 10:04 AM - Madars

- Description updated

#4 - 10/11/2017 10:04 AM - Madars

- Description updated

#5 - 11/19/2019 05:21 PM - Madars

Also having issues with:

- doing stop of the binary (stopped):

- binary version is changed

-> Binary gets started ! because of changed, but was marked for stop!

#6 - 05/12/2020 01:06 PM - Madars

- Parent task set to #125

#7 - 02/22/2023 01:41 AM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

Release notes

XATMI server reloader has been updated to reload/restart only those servers which were requested to be in running state (e.g. was started).

Available from Enduro/X release 8.0.8+.

#8 - 02/22/2023 01:41 AM - Madars

- Status changed from Resolved to Closed
